# Asterisk Project : Asterisk 13 Function_PJSIP_MEDIA_OFFER

Created by wikibot on Aug 08, 2014

# PJSIP_MEDIA_OFFER()

### Synopsis

Media and codec offerings to be set on an outbound SIP channel prior to dialing.

### Description

Returns the codecs offered based upon the media choice

### Syntax

    PJSIP_MEDIA_OFFER(media)

##### Arguments

- `media` - types of media offered

### See Also

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538